<?php
/**
 * The template for displaying comments
 *
 * This is the template that displays the area of the page that contains both the current comments
 * and the comment form.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 */

/*
 * If the current post is protected by a password and
 * the visitor has not yet entered the password we will
 * return early without loading the comments.
 */
if (post_password_required()) {
	return;
}
?>
<div id="comments" class="comments-area">
	<?php comment_form(); ?>
    <?php if (have_comments()) : ?>        
        <h2 class="comments-title">
            <?php
			$comments_number = get_comments_number();
			if ('1' === $comments_number) {
				/* translators: %s: post title */
				printf(_x('One comment on &ldquo;%s&rdquo;', 'comments title', 'aflatoon'), get_the_title());
			} else {
				printf(
					/* translators: 1: number of comments, 2: post title */
					_nx(
						'%1$s comment on &ldquo;%2$s&rdquo;',
						'%1$s comments on &ldquo;%2$s&rdquo;',
						$comments_number,
						'comments title',
						'aflatoon'
					),
					number_format_i18n($comments_number),
					get_the_title()
				);
			}
			?>
        </h2>
        
        <div class="comment-list">
			<?php
				wp_list_comments(array(
					'avatar_size' => 64,
					'style'       => 'div',
					'short_ping'  => true,
					'reply_text'  => __('Reply', 'aflatoon'),
				));
			?>
		</div>
        <?php aflatoon_comment_navigation(); ?>
    <?php endif;
    
    // If comments are closed and there are comments, let's leave a little note, shall we?
	if (is_single() && ! comments_open() && get_comments_number() && post_type_supports(get_post_type(), 'comments')) : ?>
		<p class="no-comments"><?php _e('Comments are closed.', 'aflatoon'); ?></p>
	<?php
	endif;
    ?>    
</div>