<?php
/**
 * Customizer
 */
require get_parent_theme_file_path('/inc/theme-defaults.php');

function aflatoon_customize_register($wp_customize) {
    global $aflatoon_logo_border, $aflatoon_site_layout;
    $wp_customize->add_section('theme_options', array(
	    'priority' => 20,
	    'capability' => 'edit_theme_options',
	    'title' => __('Theme Options', 'aflatoon'),
	));
	
	$wp_customize->add_setting('more_link_label', array(
        'default' => __('More info', 'aflatoon'),
        'type' => 'theme_mod',
        'capability' => 'edit_theme_options',
        'transport' => 'refresh',
        'sanitize_callback' => 'sanitize_text_field',
    ));
    
    $wp_customize->add_control('more_link_label', array(
        'type' => 'text',
        'priority' => 20,
        'section' => 'theme_options',
        'label' => __('"More Link" Label', 'aflatoon'),
        'description' => __('Label to display for "More link"', 'aflatoon'),
    ));
	
	$wp_customize->add_setting('logo_border', array(
        'default' => 'default',
        'type' => 'theme_mod',
        'capability' => 'edit_theme_options',
        'transport' => 'refresh',
        'sanitize_callback' => 'aflatoon_sanitize_logo_border',
    ));
	
	$wp_customize->add_control('logo_border', array(
		'label'   => __('Logo Border', 'aflatoon'),
		'section' => 'theme_options',
		'type'    => 'select',
        'priority' => 30,
		'choices'    => $aflatoon_logo_border
	));

	$wp_customize->add_setting('site_layout', array(
        'default' => 'fullwidth',
        'type' => 'theme_mod',
        'capability' => 'edit_theme_options',
        'transport' => 'refresh',
        'sanitize_callback' => 'aflatoon_sanitize_site_layout',
    ));
	
	$wp_customize->add_control('site_layout', array(
		'label'   => __('Site Layout', 'aflatoon'),
		'section' => 'theme_options',
		'type'    => 'select',
        'priority' => 40,
		'choices'    => $aflatoon_site_layout
	));
    
    //Color Scheme setting
    $wp_customize->add_setting('color_scheme', array(
		'default'           => '#0080ff',
		'transport'         => 'refresh',
        'type'              => 'theme_mod',
        'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'sanitize_hex_color',
	));
    
    $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'color_scheme', array(
        'label'    => __('Color Scheme', 'aflatoon'),
		'section'  => 'colors',
		'priority' => 20,
	)));	
}
add_action('customize_register', 'aflatoon_customize_register');

function aflatoon_sanitize_logo_border($input) {
	global $aflatoon_logo_border;
	if(!in_array($input, array_keys($aflatoon_logo_border))) {
		return 'default';
	}
	return $input;
}

function aflatoon_sanitize_site_layout($input) {
	global $aflatoon_site_layout;
	if(!in_array($input, array_keys($aflatoon_site_layout))) {
		return 'fullwidth';
	}
	return $input;
}
?>